/*-----------------------------------------------------------------------------
FILENAME: bus.h
AUTHOR: S. Seegel, post@seegel-systeme.de
DATE: 17.8.2008
VERSION: 1.0
LICENSE: GPL v3
DESCRIPTION: Declaration of Bus class (RS485 communication)
-----------------------------------------------------------------------------*/

#ifndef bus_h
#define bus_h

#include "task.h"

class Bus: public Task
{
	private:
		char txbuf[20];
		volatile uint8_t txbuflen;
		volatile uint8_t txbufpos;
	protected:
		void Execute(void);
	public:
		Bus(void);
		void OnTag(uint8_t *tag, bool accessed);
		void SendNextByte(void);
};

extern Bus bus;

#endif
